#! /bin/sh -e

test -n "$DB" || DB='MOODLE'
test -n "$MYSQL_ARGS" || MYSQL_ARGS='-u root'
MYSQL="mysql $MYSQL_ARGS"

$MYSQL -e "DROP DATABASE $DB;" >/dev/null 2>&1 || :
$MYSQL -e "CREATE DATABASE $DB CHARACTER SET utf8 DEFAULT CHARACTER SET utf8 COLLATE utf8_bin DEFAULT COLLATE utf8_bin;"

$MYSQL "$DB" <schema.sql
$MYSQL "$DB" <data.sql
