--
-- Example data
--

-- zero time also in src/test/resources/cz.zcu.connectors.moodle.MoodleConnector/config/config.groovy
SET time_zone = '+00:00';

-- keep in sync with src/test/resources/cz.zcu.connectors.moodle.MoodleConnector/config/config.groovy
SET @id='1001';
SET @id2='1002';
SET @idUnknown='999999999';

DELETE FROM `mdl_user` WHERE `id` IN (@id, @id2, @idUnknown);
DELETE FROM `mdl_user_attribute` WHERE `user_id` IN (@id, @id2, @idUnknown);

INSERT INTO `mdl_user` (`id`, `mnethostid`, `username`, `idnumber`, `firstname`, `lastname`, `email`, `institution`, `confirmed`, `deleted`, `password`, `lang`) VALUES
	(@id, 1, 'username1', 'idnumber1', 'firstname1', 'lastname1', 'email1', 'institution1', 1, 1, 'SecretX1', 'lang1'),
	(@id2, 2, 'username2', 'idnumber2', 'firstname2', 'lastname2', 'email2', 'institution2', 2, 2, 'SecretX2', 'lang2');

INSERT INTO `mdl_user_attribute` (`user_id`, `personal_number`) VALUES
	(@id, '11'),
	(@id2, '12');

-- keep in sync with src/test/resources/cz.zcu.connectors.moodle.MoodleConnector/config/config.groovy
SET @idCohort='1001';
SET @idCohort2='1002';
SET @idCohortUnknown='999999999';
SET @nameCohort1='name1';
SET @nameCohort2='name2';

DELETE FROM `mdl_cohort` WHERE `id` IN (@idCohort, @idCohort2, @idCohortUnknown);

INSERT INTO `mdl_cohort` (`id`, `contextid`, `name`, `idnumber`, `description`, `descriptionformat`, `visible`, `component`, `theme`, `timecreated`, `timemodified`) VALUES
	(@idCohort, 1, @nameCohort1, 'idnumber1', 'description1', 1, 1, 'component1', 'theme1', UNIX_TIMESTAMP('2021-01-01'), UNIX_TIMESTAMP('2021-01-01')),
	(@idCohort2, 2, @nameCohort2, 'idnumber2', 'description2', 2, 2, 'component2', 'theme2', UNIX_TIMESTAMP('2021-01-02'), UNIX_TIMESTAMP('2021-01-02'));
