package cz.zcu.connectors.moodle;

import org.identityconnectors.framework.common.objects.Name;
import org.identityconnectors.framework.common.objects.Uid;

import cz.zcu.connectors.AbstractDbFilterTranslator;
import cz.zcu.connectors.moodle.dao.Cohort;


public class CohortFilterTranslator extends AbstractDbFilterTranslator {
	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getColumn(final String attrName) {
		if (attrName == null) {
			return null;
		}
		if (attrName.equals(Uid.NAME)) {
			return Cohort.FIELD_ID;
		}
		if (attrName.equals(Name.NAME)) {
			return Cohort.FIELD_NAME;
		}
		if (attrName.equals(Cohort.ATTR_ID)) {
			return Cohort.FIELD_ID;
		}
		if (!Cohort.ATTRS.containsKey(attrName)) {
			return null;
		}
		// database fields names directly as connector attribute names
		return attrName;
	}
}
