package cz.zcu.connectors.moodle;

import org.identityconnectors.framework.common.objects.Name;
import org.identityconnectors.framework.common.objects.Uid;

import cz.zcu.connectors.AbstractDbFilterTranslator;
import cz.zcu.connectors.moodle.dao.User;


public class UserFilterTranslator extends AbstractDbFilterTranslator {
	/**
	 * {@inheritDoc}
	 */
	@Override
	public String getColumn(final String attrName) {
		if (attrName == null) {
			return null;
		}
		if (attrName.equals(Uid.NAME) || attrName.equals(Name.NAME) || attrName.equals(User.ATTR_ID)) {
			return User.FIELD_ID;
		}
		if (!User.ATTRS.containsKey(attrName)) {
			return null;
		}
		// database fields names directly as connector attribute names, except User.ATTR_ID
		return attrName;
	}
}
